summaryrefslogtreecommitdiffstats
path: root/system/gsmartcontrol/gsmartcontrol.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/gsmartcontrol/gsmartcontrol.SlackBuild')
-rw-r--r--system/gsmartcontrol/gsmartcontrol.SlackBuild14
1 files changed, 12 insertions, 2 deletions
diff --git a/system/gsmartcontrol/gsmartcontrol.SlackBuild b/system/gsmartcontrol/gsmartcontrol.SlackBuild
index 952bdfae98..a5e1193767 100644
--- a/system/gsmartcontrol/gsmartcontrol.SlackBuild
+++ b/system/gsmartcontrol/gsmartcontrol.SlackBuild
@@ -1,10 +1,10 @@
-#!/bin/sh -eu
+#!/bin/sh
# Slackware build script for GSmartControl
# Written by Erik Hanson erik@slackbuilds.org
PRGNAM=gsmartcontrol
-VERSION=0.8.1
+VERSION=0.8.4
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -18,8 +18,12 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -eu
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -35,6 +39,7 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var/lib \
+ --mandir=/usr/man/ \
--docdir=/usr/doc/$PRGNAM-$VERSION \
--disable-static \
--build=$ARCH-slackware-linux
@@ -42,6 +47,11 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install-strip DESTDIR=$PKG
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $(find $PKG/usr/man -type l) ;
+ do ln -s $( readlink $i ).gz $i.gz ; rm $i ;
+done
+
cp -a COPYING INSTALL $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild